Adjust Wallet Balance
curl --request POST \
--url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets/{wallet-id}/adjust \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 100,
"description": "Vendor used the money for other ads"
}
'import requests
url = "https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets/{wallet-id}/adjust"
payload = {
"amount": 100,
"description": "Vendor used the money for other ads"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 100, description: 'Vendor used the money for other ads'})
};
fetch('https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/wallets/{wallet-id}/adjust', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing API
Adjust Wallet Balance
Endpoint to change the balance for a wallet.
It will add the amount to the wallet if the amount is positive and burn the amount if it is negative. The amount is ISO 4217 currency code compliant meaning that 100 as an input for USD marketplace will be 1 USD.
POST
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
wallets
/
{wallet-id}
/
adjust
Adjust Wallet Balance
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The External ID of the Vendor to retrieve.
Minimum string length:
1The ID of the wallet to retrieve.
Body
application/json
Response
Successful Response
Resulting balance of an adjustment. ISO 4217 standard
Was this page helpful?
⌘I